<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Course;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;

class AdminController extends Controller
{

    // Login & Logout
    public function LoginForm() {

        return view('admin.login');

    }

    public function Login(Request $reqest) {

        // dd($reqest->all());

        $check = $reqest->all();

        if (Auth::guard('admin')->attempt([ 'email'=>$check['email'], 'password'=>$check['password'] ])) {

            return redirect()->route('admin.dashboard');

        } else {

            return back()->with('error','Invalid Email or Password');
        }
    }

    public function Dashboard() {
        return view('admin.dashboard');
    }


    public function AdminLogout() {
        Auth::guard('admin')->logout();
        return redirect()->route('admin.loginform');
    }

    // Course

    public function GetAllCourses() {
        $courses = Course::all();
        return view('admin.course.index',compact('courses'));
    }

    // Registgeration requests

    public function GetAllRegister()
    {
        $users = User::where('status','inactive')->get();

        return view ('admin.registers.index', compact('users'));

    }

    public function GetRegister($id) {

        $user = User::findOrFail($id);

        return view('admin.registers.view',compact('user'));
    }

    public function DeleteRegister(Request $request)
    {

        $user = User::findOrFail($request->id)->delete();

        return redirect()->route('admin.register.index')->with('message','تم حذف الحساب بنجاح');

    }


    public function AcceptRegister(Request $request)
    {
        $user_id = $request->user_id;
        $user = User::findOrFail($user_id);
        $user->status = 'active';
        $user->save();

        return redirect()->route('admin.register.index')->with('message','تم نقل الطلب الى جدول الطلاب');
    }

    // Edit register img
    public function EditUserImages($id) {

        $user = user::findOrFail($id,['id','name','certificate','personalpic','passportpic','birthpic','fatherpic','motherpic']);

        return view('admin.registers.edit-user-img')->with([
                        'user'=>$user,
                    ]);
    }

    public function UpdateUserImages(Request $request, $id) {

        request()->validate([

            'certificate'=> 'nullable|mimes:jpeg,jpg,pdf|max:2048',
            'personalpic'=> 'nullable|mimes:jpeg,jpg,pdf|max:2048',
            'passportpic'=> 'nullable|mimes:jpeg,jpg,pdf|max:2048',
            'birthpic'=> 'nullable|mimes:jpeg,jpg,pdf|max:2048',
            'fatherpic'=> 'nullable|mimes:jpeg,jpg,pdf|max:2048',
            'motherpic'=> 'nullable|mimes:jpeg,jpg,pdf|max:2048',
            ],
            [
            'mimes'=>'يرجى رفع ملف صورة من نوع jpg أو ملف pdf',
            'certificate.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            'personalpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            'passportpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            'birthpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            'fatherpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            'motherpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',

            ]
        );
        try {
            $input = [];

            $user = User::findOrFail($id);

            if ($request->hasfile('certificate')) {
                //delete
                $certificate_path = $request->old_certificate;
                if(File::exists(public_path($certificate_path))){

                    File::delete(public_path($certificate_path));

                }
                //upload new img

                $certificate = $request->file('certificate');
                $certificate_filename = time().'.'.$certificate->getClientOriginalExtension();
                // dd($certificate_filename);
                $certificate->move('upload/certificates/',$certificate_filename);
                $certificate_img = $certificate_filename;

            } else {
                $certificate_img=$user->certificate;
            }
            if ($request->hasfile('personalpic')) {
                //delete
                $personalpic_path = $request->old_personalpic;
                if(File::exists(public_path($personalpic_path))){

                    File::delete(public_path($personalpic_path));

                }
                //upload new img
                $personalpic = $request->file('personalpic');
                $personalpic_filename = time().'.'.$personalpic->getClientOriginalExtension();
                $personalpic->move('upload/personalpics/',$personalpic_filename);
                $personalpic_img = $personalpic_filename;

            } else {
                $personalpic_img=$user->personalpic;
            }
            if ($request->hasfile('passportpic')) {
                //delete
                $passportpic_path = $request->old_passportpic;
                if(File::exists(public_path($passportpic_path))){
                    File::delete(public_path($passportpic_path));
                }
                //upload new img
                $passportpic = $request->file('passportpic');
                $passportpic_filename = time().'.'.$passportpic->getClientOriginalExtension();
                $passportpic->move('upload/passportpics/',$passportpic_filename);
                // $user->passportpic  = $passportpic_filename ;
                $passportpic_img = $passportpic_filename;

            } else {
                $passportpic_img=$user->passportpic;
            }
            if ($request->hasfile('birthpic')) {
                //delete
                $birthpic_path = $request->old_birthpic;
                if(File::exists(public_path($birthpic_path))){
                    File::delete(public_path($birthpic_path));
                }
                //upload new img
                $birthpic = $request->file('birthpic');
                $birthpic_filename = time().'.'.$birthpic->getClientOriginalExtension();
                $birthpic->move('upload/birthpics/',$birthpic_filename);
                // $user->birthpic  = $birthpic_filename ;
                $birthpic_img = $birthpic_filename;

            } else {
                $birthpic_img=$user->birthpic;
            }
            if ($request->hasfile('fatherpic')) {
                //delete
                $fatherpic_path = $request->old_fatherpic;
                if(File::exists(public_path($fatherpic_path))){
                    File::delete(public_path($fatherpic_path));
                }
                //upload new img
                $fatherpic = $request->file('fatherpic');
                $fatherpic_filename = time().'.'.$fatherpic->getClientOriginalExtension();
                $fatherpic->move('upload/fatherpics/',$fatherpic_filename);
                // $user->fatherpic  = $fatherpic_filename ;
                $fatherpic_img = $fatherpic_filename;

            } else {
                $fatherpic_img=$user->fatherpic;
            }
            if ($request->hasfile('motherpic')) {
                //delete
                $motherpic_path = $request->old_motherpic;
                if(File::exists(public_path($motherpic_path))){
                    File::delete(public_path($motherpic_path));
                }
                //upload new img
                $motherpic = $request->file('motherpic');
                $motherpic_filename = time().'.'.$motherpic->getClientOriginalExtension();
                $motherpic->move('upload/motherpics/',$motherpic_filename);
                // $user->motherpic  = $motherpic_filename ;
                $motherpic_img = $motherpic_filename;

            } else {
                $motherpic_img=$user->motherpic;
            }
            // $student->update([
            //     $student->military_document = $request->military_document,
            //     $student->civil_record = $request->civil_record,

            //     $student->nation_id = $request->nation_id,
            //     $student->mothernation_id = $request->mothernation_id,
            //     $student->accesscenter_id = $request->accesscenter_id,

            //     // $student->studentstate_id = $request->studentstate_id,

            // ]);

            // toastr()->success(trans('messages_trans.success'));
            // toastr()->success($hashed_pass);.

            $user->update([
                'certificate' =>$certificate_img,
                'personalpic'=>$personalpic_img,
                'passportpic'=>$passportpic_img,
                'birthpic'=>$birthpic_img,
                'fatherpic'=>$fatherpic_img,
                'motherpic'=>$motherpic_img,

             ]);

            return redirect()->back()->with('message','تم تعديل الصور بنجاح ');
        }

        catch (\Exception $e){
            return redirect()->back()->withErrors(['error' => $e->getMessage()]);
        }
    }

    // Students

    public function GetAllUsers() {

        $users = User::where('status','active')->get();

        return view('admin.users.index', compact('users'));
    }

    public function DeleteUser(Request $request) {

        $user = User::findOrFail($request->id)->delete();

        return redirect()->route('admin.users.index')->with('message','تم حذف الحساب ونقله الى الحسابات المحذوفة بنجاح');
    }


    // Trashed Accounts

    public function GetTrashedUsers () {

        $users = User::onlyTrashed()->get();

        return view('admin.users.trashed',compact('users'));
    }

    public function RestoreUser($id) {
        $user = User::withTrashed()->find($id);
        $user->restore();
        return redirect()->route('admin.users.index')->with('message','تم استرجاع الحساب من الحسابات ');

    }


    public function ForceDeleteUser($id) {
        $user = User::withTrashed()->find($id);

        $user->forceDelete();

        return redirect()->back()->with('message','تم حذف الحساب بشكل نهائي من الحسابات المحذوفة');

    }
}
