<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Gender;
use App\Models\Nation;
use App\Models\Sclass;
use App\Models\Country;
use App\Mail\NewstudentMail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Mail;
use App\Http\Requests\StudentFormRequest;

class FrontendController extends Controller
{
    public function studentRegister() {
        $genders = Gender::all();
        $sclasses = Sclass::all();
        $countries = Country::all();
        $nations = Nation::all();
        return view('frontend.registerform')->with([
                                            'genders'=>$genders,
                                            'sclasses'=>$sclasses,
                                            'countries'=>$countries,
                                            'nations'=>$nations,
                                            // 'certificates'=>$certificates,
                                            // 'sections'=>$sections,
                                            // 'militarystatus'=>$militarystatus,
                                            // 'nations'=>$nations,
                                            // 'accesscenters'=>$accesscenters,
                                            ]);
    }

    public function savestudent(StudentFormRequest $request) {


        $data = $request->validated();
        try {
            $newuser = new User;
            // $student->name = $data['name'];
            $newuser->name = $data['first_name'].' '.$data['last_name'];
            $newuser->first_name = $data['first_name'];
            $newuser->last_name = $data['last_name'];
            $newuser->first_name_en = $data['first_name_en'];
            $newuser->last_name_en = $data['last_name_en'];
            $newuser->email = $data['email'];
            $newuser->phone = $data['phone'];
            $newuser->father = $data['father'];
            $newuser->mother = $data['mother'];
            $newuser->mother_lastname = $data['mother_lastname'];
            $newuser->birth_place = $data['birth_place'];
            $newuser->birth_date = $data['birth_date'];
            $newuser->gender_id = $data['gender_id'];
            $newuser->nation_id = $data['nation_id'];
            $newuser->country_id = $data['country_id'];
            $newuser->nationalid = $data['nationalid'];
            $newuser->passportid = $data['passportid'];
            $newuser->address = $data['address'];
            $newuser->last_class = $data['last_class'];
            $newuser->sclass_id = $data['sclass_id'];
            $newuser->password = Hash::make('12345678');
            //certificate
            if ($request->file('certificate')) {
                $file1 = $request->file('certificate');
                $filename1 = date('YmdHi').$file1->getClientOriginalName();
                $file1->move(public_path('upload/certificates'),$filename1);
                $newuser->certificate = $filename1;
            }
            //personalpic
            if ($request->file('personalpic')) {
                $file1 = $request->file('personalpic');
                $filename1 = date('YmdHi').$file1->getClientOriginalName();
                $file1->move(public_path('upload/personalpics'),$filename1);
                $newuser->personalpic = $filename1;
            }
            //passportpic
            if ($request->file('passportpic')) {
                $file1 = $request->file('passportpic');
                $filename1 = date('YmdHi').$file1->getClientOriginalName();
                $file1->move(public_path('upload/passportpics'),$filename1);
                $newuser->passportpic = $filename1;
            }
            //fatherpic
            if ($request->file('fatherpic')) {
                $file1 = $request->file('fatherpic');
                $filename1 = date('YmdHi').$file1->getClientOriginalName();
                $file1->move(public_path('upload/fatherpics'),$filename1);
                $newuser->fatherpic = $filename1;
            }

            //motherpic
            if ($request->file('motherpic')) {
                $file1 = $request->file('motherpic');
                $filename1 = date('YmdHi').$file1->getClientOriginalName();
                $file1->move(public_path('upload/motherpics'),$filename1);
                $newuser->motherpic = $filename1;
            }

            //birthpic
            if ($request->file('birthpic')) {
                $file1 = $request->file('birthpic');
                $filename1 = date('YmdHi').$file1->getClientOriginalName();
                $file1->move(public_path('upload/birthpics'),$filename1);
                $newuser->birthpic = $filename1;
            }



            $newuser->save();
            $uname = $newuser->name;
            $mailData = [
                'title' => 'طلب تسجيل جديد من '.$uname.' في موقع المدرسة',
                'body' => 'تم تسجيل طلب اشتراك جديد في موقع المدرسة.'
            ];
            Mail::to('info@afaq-school.com')->send(new NewstudentMail($mailData,$uname));
            // dd($request);
            return redirect('/')->with('messages','شكرا لك ... تم استلام بيانات التسجيل الخاصة بك وسيتم التواصل معك لاحقا ');
            // return redirect('/result')->with('message','data Added successfully');
        }

        catch (\Exception $e){
            return redirect()->back()->withErrors(['error' => $e->getMessage()]);
        }
    }
}
