<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StudentFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array|string>
     */
    public function rules(): array
    {
        $rules = [
            'first_name'=> ['required','string','max:100','min:3'],
            'last_name'=> ['required','string','max:100','min:3'],
            'first_name_en'=> ['required','string','max:100','min:3'],
            'last_name_en'=> ['required','string','max:100','min:3'],
            'phone'=> ['required','unique:users,phone','max:25','min:9'],
            'email'=> ['required','email:rfc,dns','unique:users,email'],

            'father'=> ['required','string','max:100','min:3'],
            'mother'=> ['required','string','max:100','min:3'],
            'mother_lastname'=> ['nullable','string','max:100','min:3'],
            'birth_place'=> ['required','string','max:100','min:3'],

            'birth_date'=> ['required','date'],
            'passportid'=> ['nullable','string','max:100'],
            'nationalid'=> ['nullable','string','max:100'],
            'country_id'=> ['required'],
            'nation_id'=> ['required'],
            'gender_id'=> ['required'],
            'address'=> ['required','string','max:100','min:3'],
            'sclass_id'=> ['required'],
            'last_class'=> ['required','string','max:100','min:3'],
            // 'certificate'=> ['required','mimes:jpg,png,jpeg','max:4096'],
            // 'personalpic'=> ['required','mimes:jpg,png,jpeg','max:4096'],
            // 'passportpic'=> ['required','mimes:jpg,png,jpeg','max:4096'],
            // 'birthpic'=> ['required','mimes:jpg,png,jpeg','max:4096'],
            // 'fatherpic'=> ['required','mimes:jpg,png,jpeg','max:4096'],
            // 'motherpic'=> ['required','mimes:jpg,png,jpeg','max:4096'],
        ];

        return $rules;
    }
    public function messages() {
        $messages = [
            'required' => 'يرجى ادخال هذا الحقل ',
            'max' => 'يجب ألا يتجاوز هذا الحقل 100 حرف ',
            'min' => 'يجب أن يحتوي هذا الحقل على أكثر من حرفين  ',
            // 'studentid.min'=> 'يجب أن يحتوي هذا الحقل على أكثر من 6 حروف  ',
            // 'studentid.max'=> 'يجب أن يحتوي هذا الحقل على أكثر من 30 حروف  ',
            'phone.min'=> 'يجب أن يحتوي هذا الحقل على أكثر من 8 أرقام  ',
            'phone.max'=> 'يجب ألا يتجاوز هذا الحقل 15 رقم  ',
            'email.email'=> 'يرجى ادخال ايميل صحيح',
            'email.unique'=> 'هذا الايميل موجود سابقا .. يرجى ادخال ايميل مختلف',
            // 'certificate.required' => 'يرجى اختيار صورة أخر شهادة علمية  ',
            // 'personalpic.required' => 'يرجى اختيار صورة الطالب  ',
            // 'passportpic.required' => 'يرجى اختيار صورة جواز السفر  ',
            // 'birthpic.required' => 'يرجى اختيار صورة اخراج القيد/ شهادة الميلاد  ',
            // 'fatherpic.required' => 'يرجى اختيار صورة جواز سفر الأب  ',
            // 'motherpic.required' => 'يرجى اختيار صورة جواز سفر الأم  ',
            // 'mimes' => 'يرجى اختيار ملف صورة من نوع jpg او  png',
            // 'max' => 'يجب ألا يتجاوز حجم صورة الشهادة 4 ميغا بايت ',


            // 'mimes'=>'يرجى رفع ملف صورة من نوع jpg',
            // 'certpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            // 'idpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            // 'personalpic.max'=>'لايجب ان يتجاوز حجم الصورة 2 ميغا ',
            // 'civil_record.max'=> 'يجب أن يحتوي هذا الحقل على أكثر من 30 حروف  ',
            // 'email'=> ['required','email:rfc,dns','unique:students'],
            // 'firstname_ar'=> ['required','string','max:200','min:3'],
            // 'parent_namear'=> ['required','string','max:200','min:3'],
            // 'mother_name'=> ['required','string','max:200','min:3'],
            // 'last_name'=> ['required','string','max:200','min:3'],
            // 'firstname_en'=> ['required','string','max:200','min:3'],
            // 'parent_name_en'=> ['required','string','max:200','min:3'],
            // 'mother_name_en'=> ['required','string','max:200','min:3'],
            // 'last_name_en'=> ['required','string','max:200','min:3'],
            // 'birth_place'=> ['required','string','max:100','min:3'],
            // 'birth_date'=> ['required','date'],
            // 'gender_id'=> ['required'],
            // 'marital_status'=> ['required'],
            // 'country'=> ['required','string','max:200','min:3'],
            // 'city'=> ['required','string','max:200','min:3'],
            // 'address'=> ['required','string','max:200','min:3'],
            // 'certificate_name'=> ['required','string','max:100','min:3'],
            // 'certificate_id'=> ['required'],
            // 'certificate_rate'=> ['required','string','max:100','min:3'],
            // 'certificate_source'=> ['required','string','max:100','min:3'],
            // 'certificate_date'=> ['required','string','max:100','min:3'],
            // 'section_id'=> ['required'],
            // 'militarystatus_id'=> ['required'],
            // 'military_branch'=> ['required','string','max:100','min:3'],
            // 'military_document'=> ['required','string','max:200'],
            // 'civil_record'=> ['required','string','max:200','min:3'],
            // 'nation_id'=> ['required'],
            // 'mothernation_id'=> ['required'],
            // 'accesscenter_id'=> ['required'],
            // 'certpic'=> ['required','mimes:jpeg,jpg'],
            // 'idpic'=> ['required','mimes:jpeg,jpg'],
            // 'personalpic'=> ['required','mimes:jpeg,jpg'],
        ];;
        return $messages;
    }
}
