<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use App\Models\Year;
use App\Models\Gender;
use App\Models\Nation;
use App\Models\Sclass;
use App\Models\Country;
use Spatie\Permission\Traits\HasRoles;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;
    use HasRoles;
    use SoftDeletes;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $guarded  = [];


    public function gender() {
        return $this->belongsTo(Gender::class);
    }

    public function sclass() {
        return $this->belongsTo(Sclass::class);
    }
    public function country() {
        return $this->belongsTo(Country::class);
    }
    public function nation() {
        return $this->belongsTo(Nation::class);
    }
    public function year() {
        return $this->belongsTo(Year::class);
    }
    public function classroom() {
        return $this->belongsTo(Classroom::class);
    }

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * Get the attributes that should be cast.
     *
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'email_verified_at' => 'datetime',
            'password' => 'hashed',
        ];
    }
}
