<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('first_name_en')->nullable();
            $table->string('last_name_en')->nullable();
            $table->string('username')->nullable();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('father')->nullable();
            $table->string('mother')->nullable();
            $table->string('mother_lastname')->nullable();
            $table->string('birth_place')->nullable();
            $table->date('birth_date')->nullable();
            $table->foreignId('nation_id')->default(0);
            $table->foreignId('country_id')->default(0);
            $table->string('nationalid')->nullable();
            $table->string('passportid')->nullable();

            $table->text('address')->nullable();
            $table->foreignId('gender_id');
            $table->text('last_class')->nullable();
            $table->text('phone')->nullable();
            $table->foreignId('sclass_id')->nullable();
            // $table->enum('role',['admin','teacher','student'])->default('student');
            $table->string('certificate')->nullable();
            $table->string('personalpic')->nullable();
            $table->string('passportpic')->nullable();
            $table->string('birthpic')->nullable();
            $table->string('fatherpic')->nullable();
            $table->string('motherpic')->nullable();
            $table->foreignId('classroom_id')->default(1);
            $table->foreignId('year_id')->default(1);
            $table->enum('role',['admin','teacher','student'])->default('student');
            $table->enum('status',['active','inactive'])->default('inactive');
            $table->rememberToken();
            $table->softDeletes();
            $table->timestamps();



        });

        Schema::create('password_reset_tokens', function (Blueprint $table) {
            $table->string('email')->primary();
            $table->string('token');
            $table->timestamp('created_at')->nullable();
        });

        Schema::create('sessions', function (Blueprint $table) {
            $table->string('id')->primary();
            $table->foreignId('user_id')->nullable()->index();
            $table->string('ip_address', 45)->nullable();
            $table->text('user_agent')->nullable();
            $table->longText('payload');
            $table->integer('last_activity')->index();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
        Schema::dropIfExists('password_reset_tokens');
        Schema::dropIfExists('sessions');
    }
};
