<?php

namespace Database\Seeders;

use App\Models\Country;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class CountriesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Country::truncate();

        $countries = [
            ['name' => 'أفغانستان', 'code' => 'AF'],
            ['name' => 'جزر آلاند', 'code' => 'AX'],
            ['name' => 'ألبانيا', 'code' => 'AL'],
            ['name' =>  'الجزائر' , 'code' => 'DZ'],
            ['name' =>  'ساموا الأمريكية', 'code' => 'AS'],
            ['name' =>  'أندورا', 'code' => 'AD'],
            ['name' =>  'أنغولا', 'code' => 'AO'],
            ['name' =>  'أنغيلا', 'code' => 'AI'],
            ['name' => 'القارة القطبية الجنوبية', 'code' => 'AQ'],
            ['name' =>  'أنتيغوا وبربودا', 'code' => 'AG'],
            ['name' =>  'الأرجنتين', 'code' => 'AR'],
            ['name' =>  'أرمينيا', 'code' => 'AM'],
            ['name' => 'أروبا', 'code' => 'AW'],
            ['name' => 'أستراليا', 'code' => 'AU'],
            ['name' => 'النمسا', 'code' => 'AT'],
            ['name'=> 'أذربيجان', 'code' => 'AZ'],
            ['name' => 'جزر البهاما', 'code' => 'BS'],
            ['name' => 'البحرين', 'code' => 'BH'],
            ['name' => 'بنغلادش', 'code' => 'BD'],
            ['name' => 'بربادوس', 'code' => 'BB'],
            ['name' => 'بيلاروسيا', 'code' => 'BY'],
            ['name' => 'بلجيكا', 'code' => 'BE'],
            ['name' => 'بيليز', 'code' => 'BZ'],
            ['name' => 'بنين', 'code' => 'BJ'],
            ['name' => 'برمودا', 'code' => 'BM'],
            ['name' => 'بوتان', 'code' => 'BT'],
            ['name' =>'بوليفيا ', 'code' => 'BO'],
            ['name' => 'الجزر الكاريبية الهولندية', 'code' => 'BQ'],
            ['name' => 'البوسنة والهرسك', 'code' => 'BA'],
            ['name' => 'بوتسوانا', 'code' => 'BW'],
            ['name' => 'جزيرة بوفيه', 'code' => 'BV'],
            ['name' => 'البرازيل', 'code' => 'BR'],
            ['name' => 'إقليم المحيط البريطاني الهندي', 'code' => 'IO'],
            ['name' => 'بروناي دار السلام', 'code' => 'BN'],
            ['name' => 'بلغاريا', 'code' => 'BG'],
            ['name'  => 'بوركينا فاسو', 'code' => 'BF'],
            ['name' => 'بوروندي', 'code' => 'BI'],
            ['name' => 'كمبوديا', 'code' => 'KH'],
            ['name' => 'الكاميرون', 'code' => 'CM'],
            ['name' => 'كندا', 'code' => 'CA'],
            ['name' => 'الرأس الأخضر', 'code' => 'CV'],
            ['name' => 'جزر كايمان', 'code' => 'KY'],
            ['name' => 'جمهورية افريقيا الوسطى', 'code' => 'CF'],
            ['name' => 'تشاد', 'code' => 'TD'],
            ['name' => 'شيلي', 'code' => 'CL'],
            ['name' => 'الصين', 'code' => 'CN'],
            ['name' => 'جزيرة عيد الميلاد', 'code' => 'CX'],
            ['name' => 'جزر كوكوس (كيلينغ)', 'code' => 'CC'],
            ['name' => 'كولومبيا', 'code' => 'CO'],
            ['name' => 'جزر القمر', 'code' => 'KM'],
            ['name' => 'الكونغو', 'code' => 'CG'],
            ['name' => 'الكونغو، جمهورية الكونغو الديمقراطية', 'code' => 'CD'],
            ['name' => 'جزر كوك', 'code' => 'CK'],
            ['name' => 'كوستاريكا', 'code' => 'CR'],
            ['name' => 'ساحل العاج', 'code' => 'CI'],
            ['name' => 'كرواتيا', 'code' => 'HR'],
            ['name' => 'كوبا', 'code' => 'CU'],
            ['name' => 'كوراساو', 'code' => 'CW'],
            ['name' => 'قبرص', 'code' => 'CY'],
            ['name' => 'الجمهورية التشيكية', 'code' => 'CZ'],
            ['name' => 'الدنمارك', 'code' => 'DK'],
            ['name' => 'جيبوتي', 'code' => 'DJ'],
            ['name' => 'دومينيكا', 'code' => 'DM'],
            ['name' => 'جمهورية الدومينيكان', 'code' => 'DO'],
            ['name'  => 'الاكوادور', 'code' => 'EC'],
            ['name' => 'مصر', 'code' => 'EG'],
            ['name'=> 'السلفادور', 'code' => 'SV'],
            ['name' => 'غينيا الاستوائية', 'code' => 'GQ'],
            ['name' => 'إريتريا', 'code' => 'ER'],
            ['name' => 'إستونيا', 'code' => 'EE'],
            ['name' => 'أثيوبيا', 'code' => 'ET'],
            ['name' => 'جزر فوكلاند (مالفيناس) ', 'code' => 'FK'],
            ['name' => 'جزر فارو', 'code' => 'FO'],
            ['name' => 'فيجي', 'code' => 'FJ'],
            ['name' => 'فنلندا', 'code' => 'FI'],
            ['name' => 'فرنسا', 'code' => 'FR'],
            ['name' => 'غيانا الفرنسية', 'code' => 'GF'],
            ['name' => 'بولينيزيا الفرنسية', 'code' => 'PF'],
            ['name' => 'المناطق الجنوبية لفرنسا', 'code' => 'TF'],
            ['name' => 'الغابون', 'code' => 'GA'],
            ['name' => 'غامبيا', 'code' => 'GM'],
            ['name' => 'جورجيا', 'code' => 'GE'],
            ['name' => 'ألمانيا', 'code' => 'DE'],
            ['name' => 'غانا', 'code' => 'GH'],
            ['name' => 'جبل طارق', 'code' => 'GI'],
            ['name' => 'اليونان', 'code' => 'GR'],
            ['name' => 'جرينلاند', 'code' => 'GL'],
            ['name' => 'غرينادا', 'code' => 'GD'],
            ['name' => 'غوادلوب', 'code' => 'GP'],
            ['name' => 'غوام', 'code' => 'GU'],
            ['name' => 'جواتيمالا', 'code' => 'GT'],
            ['name' => 'غيرنزي', 'code' => 'GG'],
            ['name' => 'غينيا', 'code' => 'GN'],
            ['name' => 'غينيا بيساو', 'code' => 'GW'],
            ['name' => 'غويانا', 'code' => 'GY'],
            ['name' => 'هايتي', 'code' => 'HT'],
            ['name' => 'جزيرة هيرد وجزر ماكدونالد', 'code' => 'HM'],
            ['name' => 'الفاتيكان', 'code' => 'VA'],
            ['name' => 'هندوراس', 'code' => 'HN'],
            ['name' => 'هونغ كونغ', 'code' => 'HK'],
            ['name' => 'هنغاريا', 'code' => 'HU'],
            ['name' => 'أيسلندا', 'code' => 'IS'],
            ['name'=> 'الهند', 'code' => 'IN'],
            ['name' => 'إندونيسيا', 'code' => 'ID'],
            ['name' => 'إيران، الجمهورية الإسلامية', 'code' => 'IR'],
            ['name' => 'العراق', 'code' => 'IQ'],
            ['name' => 'أيرلندا', 'code' => 'IE'],
            ['name' => 'جزيرة مان', 'code' => 'IM'],
            ['name' => 'إيطاليا', 'code' => 'IT'],
            ['name' => 'جامايكا', 'code' => 'JM'],
            ['name' => 'اليابان', 'code' => 'JP'],
            ['name' => 'جيرسي', 'code' => 'JE'],
            ['name' => 'الأردن', 'code' => 'JO'],
            ['name' => 'كازاخستان', 'code' => 'KZ'],
            ['name' => 'كينيا', 'code' => 'KE'],
            ['name' => 'كيريباتي', 'code' => 'KI'],
            ['name' => 'كوريا، الجمهورية الشعبية الديمقراطية', 'code' => 'KP'],
            ['name' => 'جمهورية كوريا ', 'code' => 'KR'],
            ['name' => 'الكويت', 'code' => 'KW'],
            ['name' => 'قرغيزستان', 'code' => 'KG'],
            ['name' => 'جمهورية لاو الديمقراطية الشعبية', 'code' => 'LA'],
            ['name' => 'لاتفيا', 'code' => 'LV'],
            ['name' => 'لبنان', 'code' => 'LB'],
            ['name' => 'ليسوتو', 'code' => 'LS'],
            ['name' => 'ليبيريا', 'code' => 'LR'],
            ['name' => 'ليبيا', 'code' => 'LY'],
            ['name' => 'ليختنشتاين', 'code' => 'LI'],
            ['name' => 'ليتوانيا', 'code' => 'LT'],
            ['name' => 'لوكسمبورغ', 'code' => 'LU'],
            ['name' => 'ماكاو', 'code' => 'MO'],
            ['name' => 'مقدونيا، جمهورية يوغوسلافيا السابقة', 'code' => 'MK'],
            ['name' => 'مدغشقر', 'code' => 'MG'],
            ['name' => 'مالاوي', 'code' => 'MW'],
            ['name' => 'ماليزيا', 'code' => 'MY'],
            ['name' => 'جزر المالديف', 'code' => 'MV'],
            ['name' => 'مالي', 'code' => 'ML'],
            ['name' => 'مالطا', 'code' => 'MT'],
            ['name' => 'جزر مارشال', 'code' => 'MH'],
            ['name' => 'مارتينيك', 'code' => 'MQ'],
            ['name' => 'موريتانيا', 'code' => 'MR'],
            ['name' => 'موريشيوس', 'code' => 'MU'],
            ['name' => 'مايوت', 'code' => 'YT'],
            ['name' => 'المكسيك', 'code' => 'MX'],
            ['name' => 'ولايات ميكرونيزيا الموحدة', 'code' => 'FM'],
            ['name' => 'جمهورية مولدوفا', 'code' => 'MD'],
            ['name' => 'موناكو', 'code' => 'MC'],
            ['name' => 'منغوليا', 'code' => 'MN'],
            ['name' => 'الجبل الأسود', 'code' => 'ME'],
            ['name'=> 'مونتسيرات', 'code' => 'MS'],
            ['name' => 'المغرب', 'code' => 'MA'],
            ['name' => 'موزمبيق', 'code' => 'MZ'],
            ['name' => 'ميانمار', 'code' => 'MM'],
            ['name' => 'ناميبيا', 'code' => 'NA'],
            ['name' => 'ناورو', 'code' => 'NR'],
            ['name' => 'نيبال', 'code' => 'NP'],
            ['name' => 'هولندا', 'code' => 'NL'],
            ['name' => 'كاليدونيا الجديدة', 'code' => 'NC'],
            ['name' => 'نيوزيلندا', 'code' => 'NZ'],
            ['name' => 'نيكاراجوا ', 'code' => 'NI'],
            ['name' => 'النيجر', 'code' => 'NE'],
            ['name' => 'نيجيريا', 'code' => 'NG'],
            ['name' => 'نييوي', 'code' => 'NU'],
            ['name' => 'جزيرة نورفولك', 'code' => 'NF'],
            ['name' => 'جزر مريانا الشمالية', 'code' => 'MP'],
            ['name' => 'النرويج', 'code' => 'NO'],
            ['name' => 'سلطنة عمان', 'code' => 'OM'],
            ['name' => 'باكستان', 'code' => 'PK'],
            ['name' => 'بالاو', 'code' => 'PW'],
            ['name' => 'فلسطين، دولة', 'code' => 'PS'],
            ['name' => 'بنما', 'code' => 'PA'],
            ['name' => 'بابوا غينيا الجديدة', 'code' => 'PG'],
            ['name' => 'باراغواي', 'code' => 'PY'],
            ['name' => 'بيرو', 'code' => 'PE'],
            ['name' => 'فيلبيني', 'code' => 'PH'],
            ['name' => 'بيتكيرن', 'code' => 'PN'],
            ['name' => 'بولندا', 'code' => 'PL'],
            ['name' => 'البرتغال','code' => 'PT'],
            ['name'  => 'بورتوريكو', 'code' => 'PR'],
            ['name' => 'دولة قطر','code' => 'QA'],
            ['name' => 'ريونيون', 'code' => 'RE'],
            ['name' => 'رومانيا', 'code' => 'RO'],
            ['name' => 'الاتحاد الروسي', 'code' => 'RU'],
            ['name' => 'رواندا', 'code' => 'RW'],
            ['name' => 'سانت بارتيليمي', 'code' => 'BL'],
            ['name' => 'إقليم سانت هيلينا', 'code' => 'SH'],
            ['name' => 'سانت كيتس ونيفيس', 'code' => 'KN'],
            ['name' => 'سانت لوسيا', 'code' => 'LC'],
            ['name' => 'سانت مارتن (الجزء الفرنسي)', 'code' => 'MF'],
            ['name' => 'سان بيار وميكلون', 'code' => 'PM'],
            ['name' => 'سانت فنسنت والجرينادينز', 'code' => 'VC'],
            ['name' => 'ساموا', 'code' => 'WS'],
            ['name' => 'سان مارينو', 'code' => 'SM'],
            ['name' => 'ساو تومي وبرينسيبي', 'code' => 'ST'],
            ['name' => 'المملكة العربية السعودية', 'code' => 'SA'],
            ['name' => 'السنغال', 'code' => 'SN'],
            ['name' => 'صربيا', 'code' => 'RS'],
            ['name' => 'سيشيل', 'code' => 'SC'],
            ['name' => 'سيراليون', 'code' => 'SL'],
            ['name' => 'سنغافورة', 'code' => 'SG'],
            ['name' => 'سينت مارتن (الجزء الهولندي)', 'code' => 'SX'],
            ['name' => 'سلوفاكيا', 'code' => 'SK'],
            ['name' => 'سلوفينيا','code' => 'SI'],
            ['name' => 'جزر سليمان', 'code' => 'SB'],
            ['name' => 'الصومال', 'code' => 'SO'],
            ['name' => 'جنوب أفريقيا', 'code' => 'ZA'],
            ['name' => 'جورجيا الجنوبية وجزر ساندويتش الجنوبية', 'code' => 'GS'],
            ['name' => 'جنوب السودان', 'code' => 'SS'],
            ['name' => 'إسبانيا', 'code' => 'ES'],
            ['name' => 'سيريلانكا', 'code' => 'LK'],
            ['name' => 'السودان', 'code' => 'SD'],
            ['name' => 'سورينام', 'code' => 'SR'],
            ['name' => 'سفالبارد وجان ماين', 'code' => 'SJ'],
            ['name' => 'سوازيلاند', 'code' => 'SZ'],
            ['name' => 'السويد', 'code' => 'SE'],
            ['name' => 'سويسرا', 'code' => 'CH'],
            ['name' => 'الجمهورية العربية السورية', 'code' => 'SY'],
            ['name' => 'تايوان', 'code' => 'TW'],
            ['name' => 'طاجيكستان', 'code' => 'TJ'],
            ['name' => 'تنزانيا، جمهورية المتحدة', 'code' => 'TZ'],
            ['name' => 'تايلاند', 'code' => 'TH'],
            ['name' => 'تيمور الشرقية', 'code' => 'TL'],
            ['name' => 'توجو', 'code' => 'TG'],
            ['name' => 'توكيلاو', 'code' => 'TK'],
            ['name' => 'تونغا', 'code' => 'TO'],
            ['name' => 'ترينيداد وتوباغو', 'code' => 'TT'],
            ['name' => 'تونس', 'code' => 'TN'],
            ['name' => 'تركيا', 'code' => 'TR'],
            ['name' => 'تركمانستان', 'code' => 'TM'],
            ['name' => 'جزر تركس وكايكوس', 'code' => 'TC'],
            ['name' => 'توفالو', 'code' => 'TV'],
            ['name' => 'أوغندا', 'code' => 'UG'],
            ['name' => 'أوكرانيا', 'code' => 'UA'],
            ['name' => 'الإمارات العربية المتحدة', 'code' => 'AE'],
            ['name' => 'المملكة المتحدة', 'code' => 'GB'],
            ['name' => 'الولايات المتحدة','code' => 'US'],
            ['name' => 'جزر الولايات المتحدة البعيدة الصغرى', 'code' => 'UM'],
            ['name' => 'أوروغواي', 'code' => 'UY'],
            ['name' => 'أوزبكستان', 'code' => 'UZ'],
            ['name' => 'فانواتو', 'code' => 'VU'],
            ['name' => 'فنزويلا ، جمهورية بوليفاري', 'code' => 'VE'],
            ['name' => 'فييت نام', 'code' => 'VN'],
            ['name' => 'جزر العذراء البريطانية', 'code' => 'VG'],
            ['name' => 'جزر فيرجن ، الولايات المتحدة', 'code' => 'VI'],
            ['name' => 'واليس وفوتونا', 'code' => 'WF'],
            ['name' => 'الصحراء الغربية', 'code' => 'EH'],
            ['name' => 'اليمن', 'code' => 'YE'],
            ['name' => 'زامبيا', 'code' => 'ZM'],
            ['name' => 'زيمبابوي', 'code' => 'ZW'],
        ];

        foreach ($countries as $key => $value) {
            Country::create($value);
        }
    }
}
