jQuery(function() {
    // jQuery.validator.setDefaults({
    //     debug: true,
    //     success: "valid"
    //   });
      $.validator.addMethod('filesize', function (value, element, param) {
        return this.optional(element) || (element.files[0].size <= param)
    }, 'File size must be less than {0}');
    $("#newstudent").validate({
        rules: {
            name : {
                required: true,
                minlength: 3
            },
            studentid : {
                required: true,
                minlength: 8
            },
            mobile : {
                required: true,
                minlength: 9
            },
            email : {
                required: true,
                email: true
            },
            firstname_ar : {
                required: true,
                minlength: 3
            },
            parent_namear : {
                required: true,
                minlength: 3
            },
            mother_name : {
                required: true,
                minlength: 3
            },
            last_name : {
                required: true,
                minlength: 3
            },
            firstname_en : {
                required: true,
                minlength: 3
            },
            parent_name_en : {
                required: true,
                minlength: 3
            },
            mother_name_en : {
                required: true,
                minlength: 3
            },
            last_name_en : {
                required: true,
                minlength: 3
            },
            birth_place : {
                required: true,
                minlength: 3
            },
            birth_date : {
                required: true,
                dateISO: true
            },
            gender_id : {
                required: true,
            },
            marital_status : {
                required: true,
            },
            country : {
                required: true,
                minlength: 3
            },
            city : {
                required: true,
                minlength: 3
            },
            address : {
                required: true,
                minlength: 3
            },
            certificate_name : {
                required: true,
                minlength: 3
            },
            certificate_id : {
                required: true,
            },
            certificate_rate : {
                required: true,
                minlength: 2
            },
            certificate_source : {
                required: true,
                minlength: 3
            },
            certificate_date : {
                required: true,
                minlength: 4
            },
            section_id : {
                required: true,
            },
            militarystatus_id : {
                required: true,
            },
            civil_record : {
                required: true,
                minlength: 6,
            },
            nation_id : {
                required: true,
            },
            mothernation_id : {
                required: true,
            },
            accesscenter_id : {
                required: true,
            },
            certpic : {
                required: true,
                extension: "jpeg|jpg",
                filesize: 1048576,
            },
            personalpic : {
                required: true,
                extension: "jpeg|jpg",
                filesize: 1048576,
            },
            idpic : {
                required: true,
                extension: "jpeg|jpg",
                filesize: 1048576,

            },
        },
        messages : {
            name: {
                minlength: "يجب ان يكون الاسم أكثر من ثلاثة حروف",
                required:"يرجى ادخال الاسم الكامل ",
            },
            studentid: {
                minlength: "يجب ان يكون الرقم الوطني او رقم جواز السفر أكثر من 8 حروف",
                required:"يرجى ادخال الرقم الوطني او رقم جواز السفر ",
            },
            mobile: {
                minlength: "يجب ان يكون رقم الموبايل 9 خانات او اكثر",
                required:"يرجى ادخال رقم الموبايل ",
            },
            email: {
                required:"يرجى ادخال البريد الالكتروني ",
                email:"يرجى كتابة بريد الكتروني صحيح"
            },
            firstname_ar: {
                minlength: "يجب ان يكون الاسم الأول أكثر من حرفين",
                required:"يرجى ادخال الاسم الأول ",
            },
            parent_namear: {
                minlength: "يجب ان يكون اسم الأب أكثر من حرفين",
                required:"يرجى ادخال اسم الأب بالعربي ",
            },
            mother_name: {
                minlength: "يجب ان يكون اسم الأم أكثر من حرفين",
                required:"يرجى ادخال اسم الأم بالعربي ",
            },
            last_name: {
                minlength: "يجب ان تكون الكنية أكثر من حرفين",
                required:"يرجى ادخال الكنية ",
            },
            firstname_en: {
                minlength: "يجب ان تكون الاسم الاول بالانكليزية أكثر من حرفين",
                required:"يرجى ادخال الاسم الاول بالانكليزية ",
            },
            parent_name_en: {
                minlength: "يجب ان تكون اسم الأب بالانكليزية أكثر من حرفين",
                required:"يرجى ادخال اسم الأب بالانكليزية ",
            },
            mother_name_en: {
                minlength: "يجب ان تكون اسم الأم بالانكليزية أكثر من حرفين",
                required:"يرجى ادخال اسم الأم بالانكليزية ",
            },
            last_name_en: {
                minlength: "يجب ان تكون اسم الأم بالانكليزية أكثر من حرفين",
                required:"يرجى ادخال اسم الأم بالانكليزية ",
            },
            birth_place: {
                minlength: "يجب ان تكون مكان الولادة من حرفين",
                required:"يرجى ادخال مكان الولادة ",
            },
            birth_date: {
                required:"يرجى ادخال تاريخ الولادة ",
                dateISO:"يرجى ادخال تاريخ صحيح ",
            },
            gender_id: {
                required:"يرجى اختيار الجنس ",
            },
            marital_status: {
                required:"يرجى اختيار الحالة العائلية",
            },
            country: {
                minlength: "يجب ان يكون اسم الدولة أكثر من حرفين",
                required:"يرجى ادخال الدولة ",
            },
            city: {
                minlength: "يجب ان يكون اسم المدينة أكثر من حرفين",
                required:"يرجى ادخال اسم المدينة ",
            },
            address: {
                minlength: "يجب ان يكون العنوان أكثر من حرفين",
                required:"يرجى ادخال العنوان ",
            },
            certificate_name: {
                minlength: "يجب ان يكون اسم الشهادة أكثر من حرفين",
                required:"يرجى ادخال اسم الشهادة ",
            },
            certificate_id: {
                required:"يرجى اختيار الاختصاص",
            },
            certificate_rate: {
                minlength: "يجب ان يكون المعدل أكثر من حرف",
                required:"يرجى ادخال المعدل ",
            },
            certificate_source: {
                minlength: "يجب ان يكون اسم مصدر الشهادة أكثر من حرفين",
                required:"يرجى ادخال مصدر الشهادة ",
            },
            certificate_date: {
                minlength: "يجب ان يكون تاريخ الشهادة أكثر من3 حروف",
                required:"يرجى ادخال تاريخ الشهادة ",
            },
            section_id: {
                required:"يرجى اختيار الاختصاص ",
            },
            militarystatus_id: {
                required:"يرجى اختيار حالة الخدمة العسكرية ",
            },
            civil_record: {
                required:"يرجى ادخال مكان ورقم القيد ",
                minlength:"يجب ان يكون مكان ورقم القيد اكثر من 6 حروف",
            },
            nation_id: {
                required: "يرجى اختيار الجنسية",
            },
            mothernation_id: {
                required: "يرجى اختيار جنسية الأم",
            },
            accesscenter_id: {
                required: "يرجى اختيار مركز النفاذ",
            },
            certpic: {
                required: "يرجى رفع صورة الشهادة الثانوية",
                extension: "نوع الملف المرفوع غير متوافق",
                filesize: "حجم الملف غير مناسب",
            },
            idpic: {
                required: "يرجى رفع صورة الهوية الشخصية او جواز السفر",
                extension: "نوع الملف المرفوع غير متوافق",
                filesize: "حجم الملف غير مناسب",
            },
            personalpic: {
                required: "يرجى رفع الصورة الشخصية",
                extension: "نوع الملف المرفوع غير متوافق",
                filesize: "حجم الملف غير مناسب",
            },
        }
    });
});
