@extends('layouts.admin-master')

@section('title')
    طلبات التسجيل
@endsection


@section('content')
<div class="table-responsive">
    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
      <thead>
        <tr>
            <th>اسم الطالب</th>
            {{-- <th>اسم الأب</th> --}}
            <th>الجنس</th>
            <th>الصف المراد التسجيل فيه </th>
            <th>الصور </th>
            <th>العام الدراسي </th>
            <th>تاريخ التسجيل </th>
            <th>_</th>
          </tr>
      </thead>

      <tbody>
        @foreach ($users as $user)
        <tr>
            <td>{{$user->name}}</td>
            {{-- <td>{{$user->father}}</td> --}}

            <td>
              {{ $user->gender->name }}
            </td>
            <td> {{$user->sclass->name}}</td>
            <td>
                <div class="btn-group">
                    @if ($user->certificate !='')
                        <a href="{{ asset('upload/certificates/'.$user->certificate) }}" class="btn btn-success btn-sm "
                        title="صورة اخر شهادة علمية" target="_blank"><i
                        class="fa fa-check fa-fw"></i></a>

                    @else
                        <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-secondary btn-sm "
                        title="صورة اخر شهادة علمية " target="_blank"><i
                        class="fa fa-times fa-fw"></i></a>
                    @endif
                    @if ($user->personalpic !='')
                        <a href="{{ asset('upload/personalpics/'.$user->personalpic) }}" class="btn btn-success btn-sm"
                        title="صورة الطالب" target="_blank"><i
                        class="fa fa-check fa-fw"></i></a>

                    @else
                        <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-secondary btn-sm"
                        title="صورة الطالب " target="_blank"><i
                        class="fa fa-times fa-fw"></i></a>
                    @endif
                    @if ($user->passportpic !='')
                        <a href="{{ asset('upload/passportpics/'.$user->passportpic) }}" class="btn btn-success btn-sm"
                        title="صورة جواز السفر" target="_blank"><i
                        class="fa fa-check fa-fw"></i></a>

                    @else
                        <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-secondary btn-sm"
                        title="صورة جواز السفر " target="_blank"><i
                        class="fa fa-times fa-fw"></i></a>
                    @endif
                    @if ($user->birthpic !='')
                        <a href="{{ asset('upload/birthpics/'.$user->birthpic) }}" class="btn btn-success btn-sm"
                        title="صورة إخراج القيد / شهادة الميلاد" target="_blank"><i
                        class="fa fa-check fa-fw"></i></a>

                    @else
                        <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-secondary btn-sm"
                        title="صورة إخراج القيد / شهادة الميلاد " target="_blank"><i
                        class="fa fa-times fa-fw"></i></a>
                    @endif
                    @if ($user->fatherpic !='')
                        <a href="{{ asset('upload/fatherpics/'.$user->fatherpic) }}" class="btn btn-success btn-sm"
                        title="صورة جواز سفر الأب" target="_blank"><i
                        class="fa fa-check fa-fw"></i></a>

                    @else
                        <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-secondary btn-sm"
                        title="صورة جواز سفر الأب " target="_blank"><i
                        class="fa fa-times fa-fw"></i></a>
                    @endif
                    @if ($user->motherpic !='')
                        <a href="{{ asset('upload/motherpics/'.$user->motherpic) }}" class="btn btn-success btn-sm"
                        title="صورة جواز سفر الأم" target="_blank"><i
                        class="fa fa-check  fa-fw"></i></a>

                    @else
                        <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-secondary btn-sm"
                        title="صورة جواز سفر الأم " target="_blank"><i
                        class="fa fa-times  fa-fw"></i></a>
                    @endif
                </div>

            </td>
            <td>{{$user->year->name}}</td>
            <td>{{$user->created_at}}</td>
            <td>
                <div class="btn-group">
                    {{-- <a href="{{ route('generatePDF',$student->id) }}" class="btn btn-warning btn-sm" --}}
                    <a href="" class="btn btn-warning btn-sm"
                        title="حفظ كملف pdf">
                        <i class="fa fa-file-pdf" style="color:white"></i>
                    </a>

                    <form class="form-horizantal" action="{{ route('admin.register.accept') }}" method="POST" >
                        {{ csrf_field() }}
                        <input type="hidden" name="user_id" value="{{$user->id}}">
                        {{-- <div class="form-group form-group-lg">
                            <div  class="text-center"> --}}
                                {{-- <input type="submit" value="قبول ونقل الى جدول الطلاب" class="btn btn-success btn-sm"/> --}}
                                <button class="btn btn-success btn-sm " style="border-radius:0" type="submit" title="قبول ونقل الى جدول الطلاب"><i class="fa fa-check"></i></button>
                            {{-- </div> --}}
                        {{-- </div> --}}
                      </form>


                    <a href="{{ route('admin.register.edit.user.images',$user->id) }}" class="btn btn-success btn-sm"
                        title="تعديل الصور " style="background-color:blueviolet"><i
                        class="fa fa-image"></i></a>
                    <a href="{{ route('admin.register.view',$user->id) }}" class="btn btn-success btn-sm"
                        title="عرض بيانات الطالب " style="background-color:blue"><i class="fas fa-search"></i></a>
                    <a href="{{ route('admin.register.edit.newuser',$user->id) }}" class="btn btn-info btn-sm"
                        title="تعديل البيانات "><i
                        class="fa fa-edit"></i></a>
                    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal"
                        data-target="#delete{{ $user->id }}"
                        title="حذف الطلب"><i
                        class="fa fa-trash"></i></button>
                  {{-- <a href="{{ route('admin.register.view',$user->id) }}" class="btn btn-primary">عرض </a>
                    <button type="button" class="btn btn-danger" data-toggle="modal"
                    data-target="#delete{{ $user->id }}" >حذف</button> --}}
                </div>
                </td>
          </tr>


                <div class="modal fade" id="delete{{ $user->id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" wire:ignore.self>
                    <div class="modal-dialog" role="document">
                        <form action="{{ route('admin.register.delete') }}" method="POST" autocomplete="off">
                            @csrf
                            @method('delete')
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">
                                        <span> حذف مستخدم</span>
                                    </h5>

                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <div class="form-group">
                                        <label for="resone">هل تريد حذف هذا الحساب؟</label>
                                        <input name="id" type="hidden" value="{{$user->id}}">
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                        <i class="fa fa-times mr-1"></i> إلغاء
                                    </button>
                                    <button type="submit" class="btn btn-primary">
                                        <i class="fa fa-trash mr-1"></i>
                                        <span> حذف</span>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
          </tr>

        @endforeach


      </tbody>
    </table>
  </div>

@endsection
