@extends('frontend.masterlayout')
@section('content')
<div class="card">
    <h5 class="card-header">طلب تسجيل طالب جديد</h5>

    <div class="card-body">

        @if ($errors->any())
        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
                <div>{{$error}}</div>
            @endforeach
        </div>
        @endif
        @if (session('messages'))
            <div class="alert alert-success">{{session('messages')}}</div>
        @endif
        {{-- <h5 class="card-title">Special title treatment</h5> --}}
        <p class="card-text">

            <div id='loader'>
                <div id='spinnerLoad' class="spinner-border text-primary" role="status">
                        <span class="visually-hidden">Loading...</span>
                </div>
            </div>

            <form id="savestudent" action="{{url('/savestudent')}}" method="POST"  autocomplete="on" >
                @csrf
                @method('POST')
                <div class="row g-5">
                    <div class="col-sm-4">
                        <label for="name" class="form-label">
                            الاسم الثلاثي
                        </label>
                        <input type="text" class="form-control" name="name" id="name" placeholder="" value="{{old('name')}}" >
                        @error('name')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-4">
                        <label for="phone" class="form-label">
                            رقم هاتف للتواصل عبر الواتساب
                        </label>
                        <input type="text" class="form-control" name="phone" id="phone" placeholder="" value="{{old('phone')}}" >
                        @error('phone')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-4">
                        <label for="email" class="form-label">
                            البريد الإلكتروني
                        </label>
                        <input type="email" class="form-control" name="email" id="email" placeholder="you@example.com" value="{{old('email')}}">
                        @error('email')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">

                    <div class="col-sm-4">
                        <label for="father" class="form-label">
                            اسم الأب

                        </label>
                        <input type="text" class="form-control" name="father" id="father" placeholder="" value="{{old('father')}}" >
                        @error('father')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-4">
                        <label for="mother" class="form-label">
                            اسم الأم

                        </label>
                        <input type="text" class="form-control" name="mother" id="mother" placeholder="" value="{{old('mother')}}" >
                        @error('mother')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-4">

                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">
                        <label for="birth_place" class="form-label">
                            مكان الولادة
                        </label>
                        <input type="text" class="form-control" name="birth_place" id="birth_place" placeholder="" value="{{old('birth_place')}}" >
                        @error('birth_place')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="birth_date" class="form-label">
                            تاريخ الولادة
                        </label>
                        <input type="text" class="form-control" name="birth_date" id="datepicker-action"  placeholder="" value="{{old('birth_date')}}" data-date-format="yyyy-mm-dd">
                        @error('birth_date')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="gender_id" class="form-label">
                            الجنس
                        </label>
                        <select class="form-select d-block w-50 bg-light pl-20 p-1 mb-3" name="gender_id" id="gender_id" >
                            <option value="">اختيار...</option>
                            @foreach ($genders as $gender)
                                @if (old('gender_id') == $gender->id)
                                    <option value="{{ $gender->id }}" selected>{{ $gender->name }}</option>
                                @else
                                    <option value="{{ $gender->id }}">{{ $gender->name }}</option>
                                @endif
                            @endforeach
                        </select>
                        @error('gender_id')
                            <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">

                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-6">
                        <label for="address" class="form-label">
                            مكان الاقامة
                        </label>
                        <input type="text" class="form-control" name="address" id="address" placeholder="" value="{{old('address')}}" >
                        @error('address')
                            <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->
                <hr class="my-4">
                <div class="row g-5">
                    <div class="col-sm-2">
                        <label for="last_class" class="form-label">
                            آخر صف دراسي تم اجتيازه
                        </label>
                        <input type="text" class="form-control" name="last_class" id="last_class" placeholder="" value="{{old('last_class')}}" >
                        @error('last_class')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-2">
                        <label for="sclass_id" class="form-label">
                            الصفّ المراد التسجيل فيه
                        </label>
                        <select class="form-select d-block w-100 bg-light pl-20 p-1 mb-3" name="sclass_id" id="sclass_id" >
                            <option value="">اختيار...</option>
                            @foreach ($sclasses as $sclass)
                                @if (old('sclass_id') == $sclass->id)
                                    <option value="{{ $sclass->id }}" selected>{{ $sclass->name }}</option>
                                @else
                                    <option value="{{ $sclass->id }}">{{ $sclass->name }}</option>
                                @endif
                            @endforeach
                        </select>
                        @error('sclass_id')
                            <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">
                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-4">

                    </div>
                    <div class="col-sm-4">

                    </div>
                    <div class="col-sm-4">

                    </div>

                </div><!-- /row -->

                </div>
                    <hr class="my-4">
                    <button class="w-100 btn btn-primary btn-lg" type="submit">تسجيل</button>

            </form>

            <!-- <div id="loader" class="hidden" style="display: none">
                <div class="spinner-border text-primary" role="status">
                    <span class="visually-hidden">Loading...</span>
                </div>يرجى الانتظار
            </div> -->
        </p>
        {{-- <a href="#" class="btn btn-primary">Go somewhere</a> --}}
    </div>
</div>

@endsection
