@extends('frontend.masterlayout')
@section('content')
<div class="card">
    <h5 class="card-header">طلب تسجيل طالب جديد</h5>

    <div class="card-body">

        {{-- @if ($errors->any())
        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
                <div>{{$error}}</div>
            @endforeach
        </div>
        @endif --}}
        @if (session('messages'))
            <div class="alert alert-success">{{session('messages')}}</div>
        @endif
        {{-- <h5 class="card-title">Special title treatment</h5> --}}
        <p class="card-text">

            <div id='loader'>
                <div id='spinnerLoad' class="spinner-border text-primary" role="status">
                        <span class="visually-hidden">Loading...</span>
                </div>
            </div>
            @if(session('message'))
            <div class="alert alert-{{session('alert_type')}}" id="success-alert">
                <button type="button" class="close" data-dismiss="alert">x</button>
                {{session('message')}}
            </div>
            @endif
            <form action="{{ route('student.save') }}" method="POST">
                @csrf
                @method('POST')
                <div class="row g-5">
                    <div class="col-sm-3">
                        <label for="first_name" class="form-label">
                            الاسم الأول (اجباري)
                        </label>
                        <input type="text" class="form-control" name="first_name" id="first_name" placeholder="" value="{{old('first_name')}}" >
                        @error('first_name')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="first_name" class="form-label">
                            الكنية (اجباري)
                        </label>
                        <input type="text" class="form-control" name="last_name" id="last_name" placeholder="" value="{{old('last_name')}}" >
                        @error('last_name')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="first_name_en" class="form-label">
                            الاسم الأول بالانكليزي (اجباري)
                        </label>
                        <input type="text" class="form-control" name="first_name_en" id="first_name_en" placeholder="" value="{{old('first_name_en')}}" >
                        @error('first_name_en')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="last_name_en" class="form-label">
                            الكنية بالانكليزي (اجباري)
                        </label>
                        <input type="text" class="form-control" name="last_name_en" id="last_name_en" placeholder="" value="{{old('last_name_en')}}" >
                        @error('last_name_en')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">

                    <div class="col-sm-3">
                        <label for="father" class="form-label">
                            اسم الأب (اجباري)

                        </label>
                        <input type="text" class="form-control" name="father" id="father" placeholder="" value="{{old('father')}}" >
                        @error('father')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="mother" class="form-label">
                            اسم الأم (اجباري)

                        </label>
                        <input type="text" class="form-control" name="mother" id="mother" placeholder="" value="{{old('mother')}}" >
                        @error('mother')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="mother_lastname" class="form-label">
                            كنية الأم  (اجباري)

                        </label>
                        <input type="text" class="form-control" name="mother_lastname" id="mother_lastname" placeholder="" value="{{old('mother_lastname')}}" >
                        @error('mother_lastname')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">
                        <label for="birth_place" class="form-label">
                            مكان الولادة
                        </label>
                        <input type="text" class="form-control" name="birth_place" id="birth_place" placeholder="" value="{{old('birth_place')}}" >
                        @error('birth_place')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    {{-- <div class="col-sm-3">
                        <label for="birth_date" class="form-label">
                            تاريخ الولادة
                        </label>
                        <input type="text" class="form-control" name="birth_date" id="datepicker-action"  placeholder="" value="{{old('birth_date')}}" data-date-format="yyyy-mm-dd">
                        @error('birth_date')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div> --}}
                    <div class="col-sm-3">
                        <label for="gender_id" class="form-label">
                            الجنس
                        </label>
                        <select class="form-select d-block w-50 bg-light pl-20 p-1 mb-3" name="gender_id" id="gender_id" >
                            <option value="">اختيار...</option>
                            @foreach ($genders as $gender)
                                @if (old('gender_id') == $gender->id)
                                    <option value="{{ $gender->id }}" selected>{{ $gender->name }}</option>
                                @else
                                    <option value="{{ $gender->id }}">{{ $gender->name }}</option>
                                @endif
                            @endforeach
                        </select>
                        @error('gender_id')
                            <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="nationalid" class="form-label">
                            الرقم الوطني
                        </label>
                        <input type="text" class="form-control" name="nationalid" id="nationalid" placeholder="" value="{{old('nationalid')}}" >
                        @error('nationalid')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">
                        <label for="nation_id" class="form-label">
                            الجنسية  (اجباري)
                        </label>
                        <select class="form-select d-block w-50 bg-light pl-20 p-1 mb-3" name="nation_id" id="nation_id" >
                            <option value="">اختيار...</option>
                            @foreach ($nations as $nation)
                                @if (old('nation_id') == $nation->id)
                                    <option value="{{ $nation->id }}" selected>{{ $nation->slug }}</option>
                                @else
                                    <option value="{{ $nation->id }}">{{ $nation->slug }}</option>
                                @endif
                            @endforeach
                        </select>
                        @error('nation_id')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="passportid" class="form-label">
                            رقم جواز السفر
                        </label>
                        <input type="text" class="form-control" name="passportid" id="passportid" placeholder="" value="{{old('passportid')}}" >
                        @error('passportid')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="country_id" class="form-label">
                            بلد الإقامة  (اجباري)
                        </label>
                        <select class="form-select d-block w-50 bg-light pl-20 p-1 mb-3" name="country_id" id="country_id" >
                            <option value="">اختيار...</option>
                            @foreach ($countries as $country)
                                @if (old('country_id') == $country->id)
                                    <option value="{{ $country->id }}" selected>{{ $country->slug }}</option>
                                @else
                                    <option value="{{ $country->id }}">{{ $country->slug }}</option>
                                @endif
                            @endforeach
                        </select>
                        @error('country_id')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="address" class="form-label">
                            المدينة
                        </label>
                        <input type="text" class="form-control" name="address" id="address" placeholder="" value="{{old('address')}}" >
                        @error('address')
                            <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->
                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">
                        <label for="last_class" class="form-label">
                            آخر صف دراسي تم اجتيازه (اجباري)
                        </label>
                        <input type="text" class="form-control" name="last_class" id="last_class" placeholder="" value="{{old('last_class')}}" >
                        @error('last_class')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="sclass_id" class="form-label">
                            الصفّ المراد التسجيل فيه
                        </label>
                        <select class="form-select d-block w-100 bg-light pl-20 p-1 mb-3" name="sclass_id" id="sclass_id" >
                            <option value="">اختيار...</option>
                            @foreach ($sclasses as $sclass)
                                @if (old('sclass_id') == $sclass->id)
                                    <option value="{{ $sclass->id }}" selected>{{ $sclass->name }}</option>
                                @else
                                    <option value="{{ $sclass->id }}">{{ $sclass->name }}</option>
                                @endif
                            @endforeach
                        </select>
                        @error('sclass_id')
                            <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="phone" class="form-label">
                            رقم هاتف للتواصل عبر الواتساب (اجباري)
                        </label>
                        <input type="text" class="form-control" name="phone" id="phone" placeholder="" value="{{old('phone')}}" >
                        @error('phone')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                    <div class="col-sm-3">
                        <label for="email" class="form-label">
                            البريد الإلكتروني
                        </label>
                        <input type="email" class="form-control" name="email" id="email" placeholder="you@example.com" value="{{old('email')}}">
                        @error('email')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <small></small>
                    </div>
                </div><!-- /row -->



                <hr class="my-2">
                <div class="row g-5">
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-3">

                    </div>
                    <div class="col-sm-6">

                    </div>
                </div><!-- /row -->
                <hr class="my-4">
                <div class="row g-5">
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                    <div class="col-sm-2">

                    </div>
                </div><!-- /row -->

                    <hr class="my-4">
                    <button class="w-100 btn btn-primary btn-lg" type="submit" value="submit">تسجيل</button>
            </form>

            <!-- <div id="loader" class="hidden" style="display: none">
                <div class="spinner-border text-primary" role="status">
                    <span class="visually-hidden">Loading...</span>
                </div>يرجى الانتظار
            </div> -->
        </p>
        {{-- <a href="#" class="btn btn-primary">Go somewhere</a> --}}
    </div>
</div>

@endsection
