<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;

Route::prefix('admin')->name('admin.')->group(function(){

    Route::get('/login',[AdminController::class,'LoginForm'])->name('loginform');

    Route::post('/login/owner',[AdminController::class,'Login'])->name('login');

    Route::middleware('admin')->group(function () {

        // Dashboard
        Route::get('/dashboard',[AdminController::class,'Dashboard'])->name('dashboard');

        // Profile
        Route::get('/profile', [AdminController::class, 'EditProfile'])->name('profile.edit');

        Route::post('/profile', [AdminController::class, 'ProfileUpdate'])->name('profile.update');

        Route::post('/password', [AdminController::class, 'PassUpdate'])->name('password.update');

        // Courses

        Route::get('/courses/index',[AdminController::class,'GetAllCourses'])->name('courses.index');

        Route::get('/course/create',[AdminController::class,'CreateCourse'])->name('course.create');

        // Registration Request

        Route::get('/register/index',[AdminController::class,'GetAllRegister'])->name('register.index');

        Route::get('/register/view/{id}',[AdminController::class,'GetRegister'])->name('register.view');

        Route::post('/register/accept', [AdminController::class, 'AcceptRegister'])->name('register.accept');

        Route::delete('/register/delete', [AdminController::class, 'DeleteRegister'])->name('register.delete');

        // Edit Registration images
        Route::get('/register/edituserimgs/{id}',[AdminController::class, 'EditUserImages'])->name('register.edit.user.images');

        Route::put('/register/updateuserimg/{id}', [AdminController::class, 'UpdateUserImages'])->name('register.update.user.images');

        // Edit Registerer Date
        Route::get('/register/edituser/{id}',[AdminController::class, 'EditNewUser'])->name('register.edit.newuser');

        Route::put('/register/updateuserimg/{id}', [AdminController::class, 'UpdateUserImages'])->name('register.update.user.images');


        Route::get('/register/edit/{id}',[AdminController::class,'GetRegister'])->name('register.edit');

        // Route::get('/form/edit/{id}',[AdminController::class,'EditForm'])->name('form.edit');

        // Forms
        // Route::get('/forms/index',[AdminController::class,'GetAllForms'])->name('forms.index');

        // Route::get('/form/edit/{id}',[AdminController::class,'EditForm'])->name('form.edit');

        // Route::get('/form/editrevfiles/{id}',[AdminController::class,'EditRevFiles'])->name('form.revfilesedit');

        // Route::get('/form/view/{id}',[AdminController::class,'ViewForm'])->name('form.view');

        // Route::get('/form/getfiles/{id}',[AdminController::class,'downloadZip'])->name('form.getfiles');



        // Route::get('/form/viewfiles/{id}',[AdminController::class,'ViewFormFiles'])->name('form.viewfiles');

        // Route::post('/form/update',[AdminController::class,'UpdateForm'])->name('form.update');

        // Route::get('/form/addrevfile',[AdminController::class,'AddRevFile'])->name('form.addrevfile');

        // Route::delete('/form/delete/{id}', [AdminController::class, 'DeleteForm'])->name('form.delete');

        // // Trashed

        // Route::get('/forms/index/trash',[AdminController::class,'GetTrashedForms'])->name('forms.index.trash');

        // Route::post('/form/restore/{id}', [AdminController::class, 'RestoreForm'])->name('form.restore');

        // Route::post('/form/forcedelete/{id}', [AdminController::class, 'ForceDeleteForm'])->name('form.forcedelete');



        // Route::get('/form/reviewers/{id}',[AdminController::class,'GetFormReviewers'])->name('form.reviewers.index');

        // Route::post('/form/reviewer/add',[AdminController::class,'FormAddReviewer'])->name('form.reviewer.add');

        // Route::post('/form/reviewer/open',[AdminController::class,'FormOpenEvaReviewer'])->name('form.reviewer.open');

        // Route::delete('/form/reviewer/delete/{id}',[AdminController::class,'FormRemoveReviewer'])->name('form.reviewer.remove');

        // Route::delete('/form/reviewer/restart/{id}',[AdminController::class,'FormRestartReviewer'])->name('form.reviewer.restart');

        // Route::get('/form/evaluation/view/{id}',[AdminController::class,'ViewEvaluation'])->name('form.evaluation.view');

        // Route::get('/form/evaluation/downloadpdf/{id}',[AdminController::class,'GenerateEvaPdf'])->name('form.evaluation.genpdf');

        // //Download attachment
        // Route::get('/form/{id}/attachments/download',[AdminController::class,'DownloadFilesAsZip'])->name('form.attachments.download');

        // //  Notifications
        // Route::get('/notifications/index',[AdminController::class,'GetAllNotifications'])->name('notifications.index');

        // Route::get('/notifications/markAsRead',[AdminController::class,'markAsRead'])->name('notification.read');

        // Route::get('/user/show_notification/{user_id}/{noti_id}',[AdminController::class,'showUserNotification'])->name('user.show_notification');


        // settings
        // Route::get('/settings/index',[SettingController::class,'Index'])->name('settings.index');

        // Route::post('/settings/update',[SettingController::class,'Update'])->name('settings.update');



        // Students
        Route::get('/users/index',[AdminController::class,'GetAllUsers'])->name('users.index');

        Route::delete('/user/delete', [AdminController::class, 'DeleteUser'])->name('user.delete');

        // Trashed Students

        Route::get('/users/index/trash',[AdminController::class,'GetTrashedUsers'])->name('users.index.trash');

        Route::post('/user/restore/{id}', [AdminController::class, 'RestoreUser'])->name('user.restore');

        Route::post('/users/forcedelete/{id}', [AdminController::class, 'ForceDeleteUser'])->name('user.forcedelete');



        // Route::get('/user/edit/{id}',[AdminController::class,'EditUser'])->name('user.edit');

        // Route::post('/user/update',[AdminController::class,'UpdateUser'])->name('user.update');


        // Route::post('/users/{user}/sync',[AdminController::class,'UpdateUserPermissions'])->name('user.permission.update');


        // // Reviewers
        // Route::get('/reviewers/index',[AdminController::class,'GetAllReviewers'])->name('reviewers.index');

        // Route::get('/reviewer/create/',[AdminController::class,'CreateReviewer'])->name('reviewer.create');

        // Route::post('/reviewer/insert/',[AdminController::class,'InsertReviewer'])->name('reviewer.insert');

        // Route::get('/reviewer/edit/{id}',[AdminController::class,'EditReviewer'])->name('reviewer.edit');

        // Route::post('/reviewer/update',[AdminController::class,'UpdateReviewer'])->name('reviewer.update');

        // Route::delete('/reviewer/delete/{id}', [AdminController::class, 'DeleteReviewer'])->name('reviewer.delete');


        // Import

        // Route::get('reviewer/importform', [AdminController::class,'ReviewerImportform'])->name('reviewer.importform');

        // Route::post('reviewers/import', [AdminController::class,'ReviewerImport'])->name('reviewer.import');


        // Reviewers Guides
        // Route::get('/reviewer/guides/index',[AdminController::class,'GetAllReviewerGuides'])->name('reviewer.guide.index');

        // Route::get('/reviewer/guide/edit/{id}',[AdminController::class,'EditReviewerGuide'])->name('reviewer.guide.edit');

        // Route::post('/reviewer/guide/update',[AdminController::class,'UpdateReviewerGuide'])->name('reviewer.guide.update');

        //  Notes
        // Route::get('/notes/index',[AdminController::class,'GetAllNotes'])->name('notes.index');

        // Route::get('/notes/view/{id}',[AdminController::class,'GetNote'])->name('notes.view');

        // Route::get('/notifications/markAsRead',[AdminController::class,'markAsRead'])->name('notification.read');

        // Route::get('/user/show_notification/{user_id}/{noti_id}',[AdminController::class,'showUserNotification'])->name('user.show_notification');

        // Logout
        Route::get('/logout',[AdminController::class,'AdminLogout'])->name('logout');

    });
    });
