<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\FrontendController;


// Register
Route::get('/', [FrontendController::class, 'studentRegister'])->name('student.register');

// Mail Route
Route::get('send-mail', [MailController::class, 'index']);

Route::post('savestudent', [FrontendController::class,'savestudent'])->name('student.savereg');


// Route::redirect('/', 'login');

Route::get('/dashboard', function () {
    return view('user.dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';



/*------------ Admin -------------*/

require __DIR__.'/admin.php';
